petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUDARestoreArrayWrite

Restore a CUDA device pointer previously acquired with VecCUDAGetArrayWrite().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUDARestoreArrayWrite(Vec v, PetscScalar **a)

Data on the host will be marked as out of date. Subsequent access of the data on the host side e.g. with VecGetArray() will incur a device to host data transfer.

### Input Parameter

| v | - the vector
| a | - the CUDA device pointer. This pointer is invalid after VecCUDARestoreArrayWrite() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecCUDAGetArrayWrite(), VecCUDAGetArrayReadWrite(), VecCUDAGetArrayRead(), VecCUDAGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages